package label_relationship

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/label_relationship"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /label_relationship/list label_relationship GetLabelRelationshipList
//
// Get label relationship list | 获取LabelRelationship列表
//
// Get label relationship list | 获取LabelRelationship列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: LabelRelationshipListReq
//
// Responses:
//  200: LabelRelationshipListResp

func GetLabelRelationshipListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.LabelRelationshipListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := label_relationship.NewGetLabelRelationshipListLogic(r.Context(), svcCtx)
		resp, err := l.GetLabelRelationshipList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
